In case of the Cloud we will use cloud specific state. In case of the GCP state can be stored im the GCS which already have locking mechanism, and we do not need any special service for this. When working with remote state like this is very important to choose a valid prefix convention. In our case prefix is exactly the same as our folder structure. We are storing terraform state in it but also using it with `data` when we need to access state of other module.
